import {NgModule, CUSTOM_ELEMENTS_SCHEMA} from '@angular/core';
import {RouterModule} from '@angular/router';
import {MpmSharedModule} from '../../shared';
import { MpmReceiptModule } from '../receipt/receipt.module'; // <===== belum di register
import {
    VehicleSalesOrderService,
    VehicleSalesOrderPopupService,
    VehicleSalesOrderComponent,
    VehicleSalesOrderDialogComponent,
    VehicleSalesOrderPopupComponent,
    vehicleSalesOrderRoute,
    vehicleSalesOrderPopupRoute,
    VehicleSalesOrderResolvePagingParams,
    VehicleSalesOrderEditComponent,
    VsoEditDataKendaraanComponent,
    VsoEditDataVerifikasiComponent,
    VsoEditDataNoteComponent,
    VsoEditDataCdbComponent,
    VehicleSalesOrderManualMatchingComponent,
    AdminPoLeasingComponent,
    AdminPoLeasingDialogComponent,
    AdminPoLeasingPopupComponent,
    VehicleSalesOrderSalesComponent,
    VehicleSalesOrderSalesViewComponent,
    VehicleSalesOrderApproveKacabComponent,
    VehicleSalesOrderApproveKacabViewComponent,
    VehicleSalesOrderMemoKoreksiComponent,
    RequestFakturPajakComponent,
    RequestFakturPajakEditComponent,
    AdminPoLeasingDetailComponent,
    VsoEditDataPersonComponent,
    VsoCustomerViewComponent,
    VsoSTNKViewComponent,
    VsoIvuEditComponent,
    TagihanLeasingComponent,
    SurVsoSalesEditComponent,
    EditPersonComponent,
    EditOrganizationComponent,
    VsoSalesPaymentViewComponent,
    VsoDraftKorsalComponent,
    VsoDraftKorsalDetailComponent
} from './';

import { VsoForVsbComponent } from './vso-edit-detil/vso-for-vsb.component';
import { SalesUnitRequirementForProspectByApprovalComponent } from '../sales-unit-requirement/prospect/sales-unit-requirement-for-prospect-by-approval.component'

import { CommonModule } from '@angular/common';

import { CurrencyMaskModule } from 'ng2-currency-mask';

import {
         CheckboxModule,
         InputTextModule,
         InputTextareaModule,
         CalendarModule,
         DropdownModule,
         EditorModule,
         ButtonModule,
         DataTableModule,
         DataListModule,
         DataGridModule,
         DataScrollerModule,
         CarouselModule,
         PickListModule,
         PaginatorModule,
         DialogModule,
         ConfirmDialogModule,
         GrowlModule,
         SharedModule,
         AccordionModule,
         TabViewModule,
         FieldsetModule,
         ScheduleModule,
         PanelModule,
         ListboxModule,
         ChartModule,
         DragDropModule,
         LightboxModule,
         RadioButtonModule,
         TooltipModule,
        } from 'primeng/primeng';

import { MpmSharedEntityModule } from '../shared-entity.module';

import { MpmSalesUnitRequirementModule } from '../sales-unit-requirement/sales-unit-requirement.module';
import { VsoEditDataHargaPembayaranComponent } from './vso-edit-detil/vso-edit-data-harga-pembayaran.component';
import { NgbActiveModal } from '@ng-bootstrap/ng-bootstrap';

const ENTITY_STATES = [
    ...vehicleSalesOrderRoute,
    ...vehicleSalesOrderPopupRoute,
];

@NgModule({
    imports: [
        MpmSharedModule,
        MpmSharedEntityModule,
        MpmSalesUnitRequirementModule,
        RouterModule.forChild(ENTITY_STATES),
        CommonModule,
        EditorModule,
        InputTextareaModule,
        ButtonModule,
        DataTableModule,
        DataListModule,
        DataGridModule,
        DataScrollerModule,
        CarouselModule,
        PickListModule,
        PaginatorModule,
        ConfirmDialogModule,
        TabViewModule,
        ScheduleModule,
        CheckboxModule,
        CalendarModule,
        DropdownModule,
        ListboxModule,
        FieldsetModule,
        PanelModule,
        DialogModule,
        AccordionModule,
        PanelModule,
        ChartModule,
        DragDropModule,
        LightboxModule,
        CurrencyMaskModule,
        RadioButtonModule ,
        TooltipModule,
    ],
    exports: [
        VehicleSalesOrderComponent,
        VehicleSalesOrderEditComponent,
        VsoEditDataKendaraanComponent,
        VsoEditDataVerifikasiComponent,
        VsoEditDataNoteComponent,
        VsoEditDataCdbComponent,
        VehicleSalesOrderManualMatchingComponent,
        VehicleSalesOrderSalesComponent,
        VehicleSalesOrderSalesViewComponent,
        VehicleSalesOrderApproveKacabComponent,
        VehicleSalesOrderApproveKacabViewComponent,
        VehicleSalesOrderMemoKoreksiComponent,
        VsoForVsbComponent,
        RequestFakturPajakComponent,
        RequestFakturPajakEditComponent,
        AdminPoLeasingDetailComponent,
        VsoCustomerViewComponent,
        VsoSTNKViewComponent,
        VsoIvuEditComponent,
        SurVsoSalesEditComponent,
        EditPersonComponent,
        EditOrganizationComponent,
        VsoSalesPaymentViewComponent,
        VsoDraftKorsalComponent,
        VsoDraftKorsalDetailComponent,
        TagihanLeasingComponent
    ],
    declarations: [
        VsoEditDataPersonComponent,
        VehicleSalesOrderComponent,
        VehicleSalesOrderDialogComponent,
        VehicleSalesOrderPopupComponent,
        VehicleSalesOrderEditComponent,
        VsoEditDataKendaraanComponent,
        VsoEditDataVerifikasiComponent,
        VsoEditDataNoteComponent,
        VsoEditDataCdbComponent,
        VehicleSalesOrderManualMatchingComponent,
        AdminPoLeasingComponent,
        AdminPoLeasingDialogComponent,
        AdminPoLeasingPopupComponent,
        VehicleSalesOrderSalesComponent,
        VehicleSalesOrderSalesViewComponent,
        VehicleSalesOrderApproveKacabComponent,
        VehicleSalesOrderApproveKacabViewComponent,
        VehicleSalesOrderMemoKoreksiComponent,
        VsoForVsbComponent,
        VsoEditDataHargaPembayaranComponent,
        RequestFakturPajakComponent,
        RequestFakturPajakEditComponent,
        AdminPoLeasingDetailComponent,
        VsoCustomerViewComponent,
        VsoSTNKViewComponent,
        VsoIvuEditComponent,
        SurVsoSalesEditComponent,
        EditPersonComponent,
        EditOrganizationComponent,
        VsoSalesPaymentViewComponent,
        VsoDraftKorsalComponent,
        VsoDraftKorsalDetailComponent,
        TagihanLeasingComponent
    ],
    entryComponents: [
        VsoEditDataPersonComponent,
        VehicleSalesOrderComponent,
        VehicleSalesOrderDialogComponent,
        VehicleSalesOrderPopupComponent,
        VehicleSalesOrderEditComponent,
        VsoEditDataKendaraanComponent,
        VsoEditDataVerifikasiComponent,
        VsoEditDataNoteComponent,
        VsoEditDataCdbComponent,
        VehicleSalesOrderManualMatchingComponent,
        AdminPoLeasingComponent,
        AdminPoLeasingDialogComponent,
        AdminPoLeasingPopupComponent,
        VehicleSalesOrderSalesComponent,
        VehicleSalesOrderSalesViewComponent,
        VehicleSalesOrderApproveKacabComponent,
        VehicleSalesOrderApproveKacabViewComponent,
        VehicleSalesOrderMemoKoreksiComponent,
        VsoForVsbComponent,
        RequestFakturPajakComponent,
        RequestFakturPajakEditComponent,
        AdminPoLeasingDetailComponent,
        VsoCustomerViewComponent,
        VsoSTNKViewComponent,
        VsoIvuEditComponent,
        SurVsoSalesEditComponent,
        EditOrganizationComponent,
        VsoSalesPaymentViewComponent,
        VsoDraftKorsalComponent,
        VsoDraftKorsalDetailComponent,
        TagihanLeasingComponent
    ],
    providers: [
        VehicleSalesOrderService,
        VehicleSalesOrderPopupService,
        VehicleSalesOrderResolvePagingParams,
        NgbActiveModal,
    ],
    schemas: [CUSTOM_ELEMENTS_SCHEMA]
})
export class MpmVehicleSalesOrderModule {}
